package com.ncs.occ.test;

import org.apache.camel.Exchange;
import org.apache.camel.Processor;
import org.apache.cxf.message.MessageContentsList;
import org.slf4j.LoggerFactory;


public class DummyProceessor implements Processor {

    private static final org.slf4j.Logger LOGGER = LoggerFactory.getLogger(DummyProceessor.class);

    @Override
    public void process(Exchange exchange) throws Exception {

        LOGGER.info("in Message {}", exchange.getIn());
        LOGGER.info("body {}", exchange.getIn().getBody());
        LOGGER.info("body class {}", exchange.getIn().getBody().getClass());
    }

}
